Package org.apache.lucene.codecs.uniformsplit.sharedterms

## Class STUniformSplitTerms

- java.lang.Object
- - org.apache.lucene.index.Terms
  - - org.apache.lucene.codecs.uniformsplit.UniformSplitTerms
    - - org.apache.lucene.codecs.uniformsplit.sharedterms.STUniformSplitTerms

-     public class STUniformSplitTerms
      extends UniformSplitTerms

  Extends `UniformSplitTerms` for a shared-terms dictionary, with all the fields of a term in the same block line.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected FieldInfos` | `fieldInfos` |
    `protected FieldMetadata` | `unionFieldMetadata` |

    - ### Fields inherited from class org.apache.lucene.codecs.uniformsplit.UniformSplitTerms

      `blockDecoder, blockInput, dictionaryBrowserSupplier, fieldMetadata, postingsReader`

    - ### Fields inherited from class org.apache.lucene.index.Terms

      `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `STUniformSplitTerms​(IndexInput blockInput, FieldMetadata fieldMetadata, FieldMetadata unionFieldMetadata, PostingsReaderBase postingsReader, BlockDecoder blockDecoder, FieldInfos fieldInfos, IndexDictionary.BrowserSupplier dictionaryBrowserSupplier)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TermsEnum` | `intersect​(CompiledAutomaton compiled, BytesRef startTerm)` |
    `TermsEnum` | `iterator()` |

    - ### Methods inherited from class org.apache.lucene.codecs.uniformsplit.UniformSplitTerms

      `checkIntersectAutomatonType, getDocCount, getMax, getSumDocFreq, getSumTotalTermFreq, hasFreqs, hasOffsets, hasPayloads, hasPositions, size`

    - ### Methods inherited from class org.apache.lucene.index.Terms

      `getMin, getStats, getTerms`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### unionFieldMetadata

          protected final FieldMetadata unionFieldMetadata

    - #### fieldInfos

          protected final FieldInfos fieldInfos

  - ### Constructor Detail

    - #### STUniformSplitTerms

          protected STUniformSplitTerms​(IndexInput blockInput,
                                        FieldMetadata fieldMetadata,
                                        FieldMetadata unionFieldMetadata,
                                        PostingsReaderBase postingsReader,
                                        BlockDecoder blockDecoder,
                                        FieldInfos fieldInfos,
                                        IndexDictionary.BrowserSupplier dictionaryBrowserSupplier)

  - ### Method Detail

    - #### intersect

          public TermsEnum intersect​(CompiledAutomaton compiled,
                                     BytesRef startTerm)
                              throws IOException

      Overrides:
        `intersect` in class `UniformSplitTerms`
      Throws:
        `IOException`

    - #### iterator

          public TermsEnum iterator()
                             throws IOException

      Overrides:
        `iterator` in class `UniformSplitTerms`
      Throws:
        `IOException`